package com.inkasso.factoring.creditmanagement.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.util.List;

/**
 * <p>
 * 项目核心企业
 * </p>
 *
 * @author liutao
 * @since 2023-11-25
 */
@TableName("c_project_core_enterprise")
public class ProjectCoreEnterprise {

    private static final long serialVersionUID = 1L;

    @TableField(exist = false)
    private Long historyId;

    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 项目信息
     */
    @TableField("c_project_information_id")
    private Long cProjectInformationId;

    /**
     * 企业信息id
     */
    @TableField("c_enterprise_id")
    private Long cEnterpriseId;

    /**
     * 企业信息历史信息id
     */
    @TableField("c_enterprise_history_id")
    private Long cEnterpriseHistoryId;

    /**
     * 集采平台 0否 1是
     */
    @TableField("centralized_procurement_platform")
    private Integer centralizedProcurementPlatform;

    /**
     * 历史合作 0否 1是
     */
    @TableField("historical_cooperation")
    private Integer historicalCooperation;

    /**
     * 历史合作时间
     */
    @TableField("historical_cooperation_duration")
    private String historicalCooperationDuration;

    /**
     * 历史合作规模
     */
    @TableField("historical_cooperation_scale")
    private String historicalCooperationScale;

    /**
     * 累计历史开票金额
     */
    @TableField("historical_cooperation_invoicing_amount")
    private String historicalCooperationInvoicingAmount;

    /**
     * 历史回款最长账期
     */
    @TableField("historical_cooperation_maximum_accounting_period")
    private String historicalCooperationMaximumAccountingPeriod;

    /**
     * 历史合作项目数量
     */
    @TableField("historical_cooperation_times")
    private String historicalCooperationTimes;

    /**
     *  状态
     */
    @TableField("status")
    private String status;

    @TableField(exist = false)
    private Enterprise enterprise;

    @TableField(exist = false)
    private List<ProjectCoreEnterpriseFile> projectCoreEnterpriseFiles;

    @TableField(exist = false)
    private ProjectInformation projectInformation;

    public Long getHistoryId() {
        return historyId;
    }

    public void setHistoryId(Long historyId) {
        this.historyId = historyId;
    }

    public ProjectInformation getProjectInformation() {
        return projectInformation;
    }

    public void setProjectInformation(ProjectInformation projectInformation) {
        this.projectInformation = projectInformation;
    }

    public Long getcEnterpriseHistoryId() {
        return cEnterpriseHistoryId;
    }

    public void setcEnterpriseHistoryId(Long cEnterpriseHistoryId) {
        this.cEnterpriseHistoryId = cEnterpriseHistoryId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public List<ProjectCoreEnterpriseFile> getProjectCoreEnterpriseFiles() {
        return projectCoreEnterpriseFiles;
    }

    public void setProjectCoreEnterpriseFiles(List<ProjectCoreEnterpriseFile> projectCoreEnterpriseFiles) {
        this.projectCoreEnterpriseFiles = projectCoreEnterpriseFiles;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Enterprise getEnterprise() {
        return enterprise;
    }

    public void setEnterprise(Enterprise enterprise) {
        this.enterprise = enterprise;
    }

    public Long getcProjectInformationId() {
        return cProjectInformationId;
    }

    public void setcProjectInformationId(Long cProjectInformationId) {
        this.cProjectInformationId = cProjectInformationId;
    }
    public Long getcEnterpriseId() {
        return cEnterpriseId;
    }

    public void setcEnterpriseId(Long cEnterpriseId) {
        this.cEnterpriseId = cEnterpriseId;
    }
    public Integer getCentralizedProcurementPlatform() {
        return centralizedProcurementPlatform;
    }

    public void setCentralizedProcurementPlatform(Integer centralizedProcurementPlatform) {
        this.centralizedProcurementPlatform = centralizedProcurementPlatform;
    }
    public Integer getHistoricalCooperation() {
        return historicalCooperation;
    }

    public void setHistoricalCooperation(Integer historicalCooperation) {
        this.historicalCooperation = historicalCooperation;
    }
    public String getHistoricalCooperationDuration() {
        return historicalCooperationDuration;
    }

    public void setHistoricalCooperationDuration(String historicalCooperationDuration) {
        this.historicalCooperationDuration = historicalCooperationDuration;
    }
    public String getHistoricalCooperationScale() {
        return historicalCooperationScale;
    }

    public void setHistoricalCooperationScale(String historicalCooperationScale) {
        this.historicalCooperationScale = historicalCooperationScale;
    }
    public String getHistoricalCooperationInvoicingAmount() {
        return historicalCooperationInvoicingAmount;
    }

    public void setHistoricalCooperationInvoicingAmount(String historicalCooperationInvoicingAmount) {
        this.historicalCooperationInvoicingAmount = historicalCooperationInvoicingAmount;
    }
    public String getHistoricalCooperationMaximumAccountingPeriod() {
        return historicalCooperationMaximumAccountingPeriod;
    }

    public void setHistoricalCooperationMaximumAccountingPeriod(String historicalCooperationMaximumAccountingPeriod) {
        this.historicalCooperationMaximumAccountingPeriod = historicalCooperationMaximumAccountingPeriod;
    }
    public String getHistoricalCooperationTimes() {
        return historicalCooperationTimes;
    }

    public void setHistoricalCooperationTimes(String historicalCooperationTimes) {
        this.historicalCooperationTimes = historicalCooperationTimes;
    }

    @Override
    public String toString() {
        return "CProjectCoreEnterprise{" +
            "cProjectInformationId=" + cProjectInformationId +
            ", cEnterpriseId=" + cEnterpriseId +
            ", centralizedProcurementPlatform=" + centralizedProcurementPlatform +
            ", historicalCooperation=" + historicalCooperation +
            ", historicalCooperationDuration=" + historicalCooperationDuration +
            ", historicalCooperationScale=" + historicalCooperationScale +
            ", historicalCooperationInvoicingAmount=" + historicalCooperationInvoicingAmount +
            ", historicalCooperationMaximumAccountingPeriod=" + historicalCooperationMaximumAccountingPeriod +
            ", historicalCooperationTimes=" + historicalCooperationTimes +
        "}";
    }
}
