package com.inkasso.factoring.financingmanagement.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.inkasso.factoring.financingmanagement.entity.ContractSignConfirm;

/**
 * @Description : 合同签署确认service
 * @Author : L.Jia
 * @Date: 2024-02-23 14:07
 */
public interface IContractSignConfirmService extends IService<ContractSignConfirm> {

    /**
     * 根据融资申请Id获取合同签署确认信息
     *
     * @param financingApplyId
     * @return
     */
    ContractSignConfirm getByFinancingApplyId(Long financingApplyId, boolean visible);

    /**
     * 根据融资申请Id获取合同信息Id
     *
     * @param financingApplyId
     * @return
     */
    Long getContractInfoIdByFinancingApplyId(Long financingApplyId);
}
